Skip to main content

Taxes

Overview​

This resource represents Taxes which can be later added to Rentals as Rentals Taxes or Fees as Rentals Fees.

Parameters​

List taxes​

List all taxes for a given account(s).

GET /taxes

Get a single tax​

Returns a single tax identified by ID.

GET /taxes/:tax_id

Create a new tax​

Returns a newly created tax.

POST /taxes
request.json
{
"taxes": [
{
"name_en": "Tax",
"start_date": "2026-09-02",
"end_date": "2026-09-09",
"notes": "Private notes",
"percentage": "10.0"
}
]
}
response.json
{
"links": {
"taxes.account": "http://www.bookingsync.com/api/v3/accounts/{taxes.account}"
},
"taxes": [
{
"links": {
"account": 1
},
"id": 4,
"percentage": "10.0",
"created_at": "2026-08-12T03:04:39.735Z",
"updated_at": "2026-08-19T03:04:39.735Z",
"start_date": "2026-09-02",
"end_date": "2026-09-09",
"notes": "Private notes",
"name": {
"en": "Tax"
}
}
]
}

Update a tax​

Returns an updated tax identified by ID.

PUT /taxes/:tax_id
request.json
{
"taxes": [
{
"name_en": "Tax",
"start_date": "2026-09-02",
"end_date": "2026-09-09",
"notes": "Private notes"
}
]
}
response.json
{
"links": {
"taxes.account": "http://www.bookingsync.com/api/v3/accounts/{taxes.account}"
},
"taxes": [
{
"links": {
"account": 1
},
"id": 4,
"percentage": "10.0",
"created_at": "2026-08-12T03:04:39.737Z",
"updated_at": "2026-08-19T03:04:39.737Z",
"start_date": "2026-09-02",
"end_date": "2026-09-09",
"notes": "Private notes",
"name": {
"en": "Tax"
}
}
]
}